Subject: Re: bug#4341: 23.1; M-x locate runs synchronously

From: Juri Linkov <[email-masked]>
Date: Thu, 10 Sep 2009 04:17:14 +0300

> Today I ran M-x locate.
> This took a little while -- long enough to bother me that Emacs was
> locked up for the entire time it was running.
>
> I think it would be preferable to run locate in asynchronously.

This would be possible when `locate' were more similar to `find-dired'.
I don't mean its output should be formatted as files in dired.
For that we could create a new command like `locate-dired'.
But maybe internals of `find-dired' should be generalized to
accept arbitrary commands.  This would allow implementing
`locate-dired', `rgrep-dired', `lgrep-dired', i.e. any command
that searches files with their output formatted for dired
like `find-name-dired', `find-grep-dired' and `find-dired'.

-- 
Juri Linkov
http://www.jurta.org/emacs/